/* -----------------------------------------------------------------------------
  General
----------------------------------------------------------------------------- */

html {
  background: rgba(239, 235, 208, 0.5);
}

/* -----------------------------------------------------------------------------
  Menu
----------------------------------------------------------------------------- */
.menu_button {
  color: #eee;
  cursor: pointer;
  font-size: 35px;
}
.menu_button:hover {
  color: #aaa;
}
.open_menu_button {
  position: fixed;
  background: #333;
  top: 0;
  right: 0;
  padding: 5px 20px 5px 5px;
  z-index: 999;
}
.close_menu_button {
  position: absolute;
  top: 0;
  right: 25px;
  z-index: 1001;
}
.menu {
  margin: 0 auto;
  margin-left: 200px;
  width: calc(100% - 200px - 60px);
  height: 100%;
}
.main {
  transition: margin-top .5s;
  margin-top: 50px;
}
.container > .row {
  text-align: center;
}
.legend {
  border-right: 3px solid #eee;
}
.legend ul {
  text-align: left;
}
.legend ul li {
  margin-bottom: 10px;
}
.filters {
  margin: 0 30px;
  display: flex;
  justify-content: space-evenly;
}
.filter {
  width: calc(100% / 7 - 2*10px);
}
.filter input, .filter select {
  background: none;
  color: #eee;
  font-size: 150%;
  border: none;
  margin-bottom: 10px;
  padding: 5px 0;
  border-bottom: 3px solid #eee;
  height: calc(100% - 10px);
  display: block;
  width: 100%;
}
.filter input[type="radio"] {
  display: inline;
  width: auto;
}
.reset_filters {
  cursor: pointer;
  padding: 10px 5px 5px 5px;
  height: calc(100% - 10px);
  font-size: 150%;
  background: #d9534f;
  transition: .2s;
}
.reset_filters:hover {
  color: #222;
}

/* -----------------------------------------------------------------------------
  Spell
----------------------------------------------------------------------------- */
#spells {
  padding: 0;
}
.spell {
  height: 650px;
  padding: 30px;
  background-image: url('../img/bg_blue.jpg');
  background-position: center center;
  list-style: none;
  transition: box-shadow .2s;
  box-shadow: 0px 5px 15px rgba(0, 0, 0, .7);
}
.spell:hover {
  box-shadow: 0px 1px 5px #888888;
}
.spell_container {
  background-image: url('../img/bg_white.jpg');
  background-position: center center;
  background-size: cover;
  height: 590px;
  padding: 20px;
  border: 3px solid #222;
  box-shadow: 0px 5px 15px rgba(0, 0, 0, .7);
  position: relative;
}

/* --- Type ----------------------------------------------------------------- */
.type {
  height: 80px;
  width: 80px;
  background-image: url("../img/bg.jpg");
  background-repeat: no-repeat;
  background-position: center center;
  position: absolute;
  top: -25px;
  left: -25px;
  border: 3px solid #222;
  box-shadow: 0px 5px 15px rgba(0, 0, 0, .7);
}
.type_overlay, .type_img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.type_overlay {
  z-index: 1;
}
.type_img {
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 80%;
  z-index: 2;
}
.type.abiurazione .type_img { background-image: url("../img/type/abiurazione.png"); }
.type.illusione .type_img { background-image: url("../img/type/illusione.png"); }
.type.ammaliamento .type_img { background-image: url("../img/type/ammaliamento.png"); }
.type.divinazione .type_img { background-image: url("../img/type/divinazione.png"); }
.type.evocazione .type_img { background-image: url("../img/type/evocazione.png"); }
.type.trasmutazione .type_img { background-image: url("../img/type/trasmutazione.png"); }
.type.negromanzia .type_img { background-image: url("../img/type/negromanzia.png"); }
.type.invocazione .type_img { background-image: url("../img/type/invocazione.png"); }
.type.abiurazione .type_overlay, .name.abiurazione { background: rgba(86, 193, 255, .5); }
.type.illusione .type_overlay, .name.illusione { background: rgba(255, 147, 0, .5); }
.type.ammaliamento .type_overlay, .name.ammaliamento { background: rgba(255, 150, 228, .5); }
.type.divinazione .type_overlay, .name.divinazione { background: rgba(130, 56, 153, .5); }
.type.evocazione .type_overlay, .name.evocazione { background: rgba(255, 100, 78, .5); }
.type.trasmutazione .type_overlay, .name.trasmutazione { background: rgba(29, 177, 0, .5); }
.type.negromanzia .type_overlay, .name.negromanzia { background: rgba(146, 146, 146, .5); }
.type.invocazione .type_overlay, .name.invocazione { background: rgba(255, 252, 102, .5); }

/* --- Level ---------------------------------------------------------------- */
.level {
  text-align: center;
}
.level span {
  border-bottom: 3px solid #222;
  margin-left: 10px;
  font-weight: bold;
}

/* --- Compontents ---------------------------------------------------------- */
.components {
  text-align: right;
  margin-right: 0;
}
.components span {
  width: 30px;
  height: 30px;
  text-align: right;
  display: inline-block;
  background-position: center center;
  background-size: cover;
  margin-left: 10px;
}
.components .V { background-image: url("../img/icons/verbal.png"); }
.components .S { background-image: url("../img/icons/somatic.png"); }
.components .M { background-image: url("../img/icons/material.png"); }

/* --- Name ----------------------------------------------------------------- */
.name {
  margin-top: 30px;
  padding: 10px 0;
  font-size: 175%;
  text-align: center;
  border: 3px solid #222;
  font-weight: bold;
}

/* --- Info ----------------------------------------------------------------- */
.info {
  text-align: right;
  margin-right: 0 !important;
  border-right: 3px solid #222;
  position: relative;
  font-weight: bold;
}
.info div {
  padding-right: 40px;
  margin-bottom: 7px;
}
.info div::after {
  background-size: 20px 20px;
  display: inline-block;
  width: 20px;
  height: 20px;
  content:"";
  margin-left: 10px;
  position: absolute;
  right: 10px;
}
.time::after {
  background-image: url("../img/icons/time.png");
}
.range::after {
  background-image: url("../img/icons/range.png");
}
.duration::after {
  background-image: url("../img/icons/duration.png");
}
.info2 {
  text-align: left;
  margin-left: 0 !important;
  position: relative;
  font-weight: bold;
}
.info2 div {
  padding-left: 40px;
  margin-bottom: 7px;
}
.info2 div::before {
  background-size: 20px 20px;
  display: inline-block;
  width: 20px;
  height: 20px;
  content:"";
  margin-right: 10px;
  position: absolute;
  left: 10px;
}
.saving::before {
  background-image: url("../img/icons/saving.png");
}
.hit::before {
  background-image: url("../img/icons/hit.png");
}
.damage::before {
  background-image: url("../img/icons/damage.png");
}

/* --- Dscriptions ---------------------------------------------------------- */
.description {
  border-top: 3px solid #222;
  padding-top: 10px;
  line-height: 90%;
  font-size: 14px;
  text-align: left;
}
.description.h335 {
  font-size: 13px;
}
.description.h400 {
  font-size: 12px;
}
.description.h450 {
  font-size: 11px;
}
.higher {
  border-top: 1px solid #222;
  padding-top: 10px;
  margin-top: 10px;
}
.higher::before {
  content: "A livelli superiori: ";
  font-weight: bold;
}

/* --- Toggler ---------------------------------------------------------- */
.toggler {
  display: none;
  position: absolute;
  top: -45px;
  right: -45px;
  font-size: 200%;
  color: #eee;
  border: 2px solid #eee;
  width: 30px;
  height: 30px;
  box-shadow: 0px 5px 5px #888888;
  transition: box-shadow .2s;
  cursor: pointer;
  line-height: 0.65;
  background-color: #d9534f;
  text-align: center;
}
.toggler:hover {
  box-shadow: 0px 1px 5px #888888;
}
.toggler.lock { background-color: #5cb85c; }

/* -----------------------------------------------------------------------------
  Print
----------------------------------------------------------------------------- */
@media print {
  html, body {
    -webkit-print-color-adjust: exact;
    font-size: 10px;
  }
  header, .toggler {
    display: none !important;
  }
  .container {
    margin-top: 0 !important;
  }
  .main {
    margin-top: 0 !important;
  }
  .spell {
    /* A4: 21.0 x 29.7cm , printable area 17 x 24.7 cm*/
    width: 9.3cm;
    height: 13.6cm;
    box-shadow: none;
  }
  .spell_container {
    height: 12cm;
  }
  .level {
    width: 3cm;
  }
  .components {
    width: 3cm;
  }
  .components span {
    width: 0.5cm;
    height: 0.5cm;
  }
  .infos {
    margin-top: 0.3cm;
  }
  .info, .info2 {
    width: 49%;
  }
  .info div:after, .info2 div:before {
    width: 0.35cm;
    height: 0.35cm;
    background-size: 0.35cm 0.35cm;
  }
  .description {
    font-size: 10px;
  }
  .description.h335 {
    font-size: 9px;
  }
  .description.h400 {
    font-size: 8px;
  }
  .description.h450 {
    font-size: 7px;
  }
}
